Subject: bug#59662: 29.0.50; [PATCH] Add treesit--indent-defun

From: Eli Zaretskii <[email-masked]>
Date: Sun, 11 Dec 2022 10:11:58 +0200

> From: Theodor Thornhill <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked]
> Date: Sat, 10 Dec 2022 21:21:53 +0100
> 
> I made another attempt - I think it's a little clearer.  What I want to
> say is something like this (| denotes point):
> 
> 1. If point is inside a comment, refill the paragraph:
>   // foo bar | baz
> 
> 2. If point is before a comment, refill the paragraph:
>  |  // foo bar baz
> 
> 3. If point is inside code, reindent the defun:
> int
> main(void)
> {
>              int i;          // <-- This will be reindented
>   /* Some very long comment that will _not_ be refilled in this case.  */
>   for(;;)
>     {
>   |   int x;
>     }
> }

What if point is after a comment, like this:

   /* foo bar baz */ |

> +@code{fill-paragraph-function} (@pxref{List Motion,,, elisp, The Emacs
> +Lisp Reference Manual} or @ref{Filling,,, elisp, The Emacs Lisp
> +Reference Manual} for more information).

The @pxref should be "see @ref", and please add a comma after the
closing brace (some old versions of makeinfo insist on that).  @pxref
is only appropriate if its closing brace immediately precedes the
closing parenthesis.

Otherwise LGTM, thanks.